﻿-- Author      : Gutterott of Shadowsong
-- Create Date : 10/27/2010
-- Modification: 
-- Version     : 4.2

-- Addon variables
Addon_Enabled = true

-- Instance specific data
In_Instance = false

-- Slash handler for configuration options
SLASH_PVPERM1 = "/pvperm"
SLASH_PVPERM2 = "/pvpermanent"
SlashCmdList["PVPERM"] = function (msg)
   local option = msg:lower()
   if option == "enable" then
      Addon_Enabled = true
      print("PvPermanent: The addon is enabled.")
   elseif option == "disable" then
      Addon_Enabled = false
      print("PvPermanent: The addon is disabled.")
   else
      if Addon_Enabled then
         print("PvPermanent: The addon is currently enabled.")
      else
         print("PvPermanent: The addon is currently disabled.")
      end
      print("PvPermanent: Enter \"Enable\" to enable this addon.")
      print("PvPermanent: Enter \"Disable\" to disable this addon.")
   end
end

-- Detect events
local frame = CreateFrame("FRAME", "PvPermanentFrame");
frame:RegisterEvent("PLAYER_ENTERING_WORLD");
frame:RegisterEvent("PLAYER_TARGET_CHANGED");
local function eventHandler(self, event, ...)
   if Addon_Enabled then
      if event == "PLAYER_ENTERING_WORLD" then
         SetPVP(1)
      end
   end
end
frame:SetScript("OnEvent", eventHandler);
